#!/bin/bash

set -e

sudo apt-get update

if [[ -z $NOUPGRADE ]]; then
    sudo apt-get -y upgrade
fi

install_packages="sudo apt-get -y --fix-missing install aptitude meld whois zsh tmux atop aria2 curl pv gajim tor torsocks nodejs icedove icedove-enigmail icedove-sogo-connector gajim lm-sensors freecad python3-pip meld whois curl pv tor torsocks nodejs npm terminator gsmartcontrol python-pip mercurial redshift gtk-redshift cmake intltool gparted wine solaar glances silversearcher-ag dkms linux-kernel-headers golang keepass2 libncurses5-dev libgnome2-dev libgnomeui-dev libgtk2.0-dev libatk1.0-dev libbonoboui2-dev libcairo2-dev libx11-dev libxpm-dev libxt-dev python-dev ruby-dev git retext kdiff3 libxml2-dev libxslt1-dev"

set +e
for i in `seq 1 3`; do
        eval $install_packages
done

set -e
eval $install_packages

if [[ -z $NO_SYSTEMCTL ]]; then
	sudo systemctl enable tor
	sudo systemctl start tor
fi

# mono
sudo apt-key adv --keyserver hkp://keyserver.ubuntu.com:80 --recv-keys 3FA7E0328081BFF6A14DA29AA6A19B38D3D831EF
echo "deb http://download.mono-project.com/repo/debian wheezy main" | sudo tee /etc/apt/sources.list.d/mono-xamarin.list
echo "deb http://download.mono-project.com/repo/debian wheezy-libjpeg62-compat main" | sudo tee -a /etc/apt/sources.list.d/mono-xamarin.list
sudo apt-get update
sudo apt-get -y install mono-devel mono-complete 

if [[ -z $NO_COMPILE_VIM ]]; then
    VIM_BUILD_DIR=/tmp
    cd "$VIM_BUILD_DIR"
    git clone https://github.com/vim/vim.git
    cd vim
    ./configure --with-features=huge \
                --enable-multibyte \
                --enable-rubyinterp \
                --enable-python3interp=yes \
                --enable-luainterp \
                --enable-gui=no \
                --enable-cscope 
    make -j2
    sudo make install
    cd
    rm -fvr "$VIM_BUILD_DIR/vim"
fi

DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
DIR="$DIR/../"
DIR="$DIR" $DIR/common/configure_fresh_system.sh

